package com.bjsxt.service.impl;

import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.dao.impl.UserLoginDaoImpl;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;

/**
 * 用户登录业务
 */
public class UserLoginServiceImpl implements UserLoginService {
    /**
     * 用户登录
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userlogin(String username, String userpwd) {
        UserLoginDao userLoginDao = new UserLoginDaoImpl();
        Users user = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        if (user == null){
            throw new UserNotFoundException("用户名或密码有误！");
        }
        return user;
    }
}
